# DFA Reporting API . userProfiles

## Instance Methods

Gets one user profile by ID.

Retrieves list of user profiles for a user.

### Method Details

`get(profileId)`

    Gets one user profile by ID.

    Args:
      profileId: string, The user profile ID. (required)

    Returns:
      An object of the form:

        { # Represents a UserProfile resource.
        "userName": "A String", # The user name.
        "kind": "dfareporting#userProfile", # The kind of resource this is, in this case dfareporting#userProfile.
        "subAccountId": "A String", # The sub account ID this profile belongs to if applicable.
        "accountName": "A String", # The account name this profile belongs to.
        "etag": "A String", # The eTag of this response for caching purposes.
        "subAccountName": "A String", # The sub account name this profile belongs to if applicable.
        "profileId": "A String", # The unique ID of the user profile.
        "accountId": "A String", # The account ID to which this profile belongs.
      }

`list()`

    Retrieves list of user profiles for a user.

    Args:

    Returns:
      An object of the form:

        { # Represents the list of user profiles.
        "items": [ # The user profiles returned in this response.
          { # Represents a UserProfile resource.
            "userName": "A String", # The user name.
            "kind": "dfareporting#userProfile", # The kind of resource this is, in this case dfareporting#userProfile.
            "subAccountId": "A String", # The sub account ID this profile belongs to if applicable.
            "accountName": "A String", # The account name this profile belongs to.
            "etag": "A String", # The eTag of this response for caching purposes.
            "subAccountName": "A String", # The sub account name this profile belongs to if applicable.
            "profileId": "A String", # The unique ID of the user profile.
            "accountId": "A String", # The account ID to which this profile belongs.
          },
        ],
        "kind": "dfareporting#userProfileList", # The kind of list this is, in this case dfareporting#userProfileList.
        "etag": "A String", # The eTag of this response for caching purposes.
      }